[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Character' (#rtl)

# IsSurrogate

Alias for TCharacter.IsSurrogate

## Declaration

Source position: character.pas line 160

`function IsSurrogate(`
`AChar: UnicodeChar`
`):Boolean; overload; function IsSurrogate(`
`const AString: UnicodeString;`
`AIndex: Integer`
`):Boolean; overload;`

## Arguments

`AChar` |  | UTF16 Character

## Function result

True if the indicated character has category ucSurrogate

## Arguments

`AString` |  | String containing UTF-16 encoded characters
`AIndex` |  | Index of UTF16 encoded character in AString to be checked.

## Description

IsSurrogate is a shortcut for TCharacter.IsSurrogate.

## See also

TCharacter.IsSurrogate |  | Check whether a Unicode character is a surrogate